
package com.google.api.ads.adwords.jaxws.v201109_1.mcm;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ServicedAccountError.Reason.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ServicedAccountError.Reason">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="BAD_IDS"/>
 *     &lt;enumeration value="NOT_AUTHORIZED"/>
 *     &lt;enumeration value="REQUESTS_TOO_FREQUENT"/>
 *     &lt;enumeration value="UNKNOWN"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "ServicedAccountError.Reason")
@XmlEnum
public enum ServicedAccountErrorReason {


    /**
     * 
     *                 Improper IDs were specified in the request
     *               
     * 
     */
    BAD_IDS,

    /**
     * 
     *                 The user is not allowed to query one or more of the specified accounts
     *               
     * 
     */
    NOT_AUTHORIZED,

    /**
     * 
     *                 The customer has reached quota limit.
     *               
     * 
     */
    REQUESTS_TOO_FREQUENT,
    UNKNOWN;

    public String value() {
        return name();
    }

    public static ServicedAccountErrorReason fromValue(String v) {
        return valueOf(v);
    }

}
