
package com.google.api.ads.adwords.jaxws.v201109.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             A biddable (positive) criterion in an adgroup.
 *           
 * 
 * <p>Java class for BiddableAdGroupCriterion complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="BiddableAdGroupCriterion">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201109}AdGroupCriterion">
 *       &lt;sequence>
 *         &lt;element name="userStatus" type="{https://adwords.google.com/api/adwords/cm/v201109}UserStatus" minOccurs="0"/>
 *         &lt;element name="systemServingStatus" type="{https://adwords.google.com/api/adwords/cm/v201109}SystemServingStatus" minOccurs="0"/>
 *         &lt;element name="approvalStatus" type="{https://adwords.google.com/api/adwords/cm/v201109}ApprovalStatus" minOccurs="0"/>
 *         &lt;element name="destinationUrl" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="bids" type="{https://adwords.google.com/api/adwords/cm/v201109}AdGroupCriterionBids" minOccurs="0"/>
 *         &lt;element name="experimentData" type="{https://adwords.google.com/api/adwords/cm/v201109}BiddableAdGroupCriterionExperimentData" minOccurs="0"/>
 *         &lt;element name="firstPageCpc" type="{https://adwords.google.com/api/adwords/cm/v201109}Bid" minOccurs="0"/>
 *         &lt;element name="qualityInfo" type="{https://adwords.google.com/api/adwords/cm/v201109}QualityInfo" minOccurs="0"/>
 *         &lt;element name="stats" type="{https://adwords.google.com/api/adwords/cm/v201109}Stats" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BiddableAdGroupCriterion", propOrder = {
    "userStatus",
    "systemServingStatus",
    "approvalStatus",
    "destinationUrl",
    "bids",
    "experimentData",
    "firstPageCpc",
    "qualityInfo",
    "stats"
})
public class BiddableAdGroupCriterion
    extends AdGroupCriterion
{

    protected UserStatus userStatus;
    protected SystemServingStatus systemServingStatus;
    protected ApprovalStatus approvalStatus;
    protected String destinationUrl;
    protected AdGroupCriterionBids bids;
    protected BiddableAdGroupCriterionExperimentData experimentData;
    protected Bid firstPageCpc;
    protected QualityInfo qualityInfo;
    protected Stats stats;

    /**
     * Gets the value of the userStatus property.
     * 
     * @return
     *     possible object is
     *     {@link UserStatus }
     *     
     */
    public UserStatus getUserStatus() {
        return userStatus;
    }

    /**
     * Sets the value of the userStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link UserStatus }
     *     
     */
    public void setUserStatus(UserStatus value) {
        this.userStatus = value;
    }

    /**
     * Gets the value of the systemServingStatus property.
     * 
     * @return
     *     possible object is
     *     {@link SystemServingStatus }
     *     
     */
    public SystemServingStatus getSystemServingStatus() {
        return systemServingStatus;
    }

    /**
     * Sets the value of the systemServingStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link SystemServingStatus }
     *     
     */
    public void setSystemServingStatus(SystemServingStatus value) {
        this.systemServingStatus = value;
    }

    /**
     * Gets the value of the approvalStatus property.
     * 
     * @return
     *     possible object is
     *     {@link ApprovalStatus }
     *     
     */
    public ApprovalStatus getApprovalStatus() {
        return approvalStatus;
    }

    /**
     * Sets the value of the approvalStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link ApprovalStatus }
     *     
     */
    public void setApprovalStatus(ApprovalStatus value) {
        this.approvalStatus = value;
    }

    /**
     * Gets the value of the destinationUrl property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDestinationUrl() {
        return destinationUrl;
    }

    /**
     * Sets the value of the destinationUrl property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDestinationUrl(String value) {
        this.destinationUrl = value;
    }

    /**
     * Gets the value of the bids property.
     * 
     * @return
     *     possible object is
     *     {@link AdGroupCriterionBids }
     *     
     */
    public AdGroupCriterionBids getBids() {
        return bids;
    }

    /**
     * Sets the value of the bids property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdGroupCriterionBids }
     *     
     */
    public void setBids(AdGroupCriterionBids value) {
        this.bids = value;
    }

    /**
     * Gets the value of the experimentData property.
     * 
     * @return
     *     possible object is
     *     {@link BiddableAdGroupCriterionExperimentData }
     *     
     */
    public BiddableAdGroupCriterionExperimentData getExperimentData() {
        return experimentData;
    }

    /**
     * Sets the value of the experimentData property.
     * 
     * @param value
     *     allowed object is
     *     {@link BiddableAdGroupCriterionExperimentData }
     *     
     */
    public void setExperimentData(BiddableAdGroupCriterionExperimentData value) {
        this.experimentData = value;
    }

    /**
     * Gets the value of the firstPageCpc property.
     * 
     * @return
     *     possible object is
     *     {@link Bid }
     *     
     */
    public Bid getFirstPageCpc() {
        return firstPageCpc;
    }

    /**
     * Sets the value of the firstPageCpc property.
     * 
     * @param value
     *     allowed object is
     *     {@link Bid }
     *     
     */
    public void setFirstPageCpc(Bid value) {
        this.firstPageCpc = value;
    }

    /**
     * Gets the value of the qualityInfo property.
     * 
     * @return
     *     possible object is
     *     {@link QualityInfo }
     *     
     */
    public QualityInfo getQualityInfo() {
        return qualityInfo;
    }

    /**
     * Sets the value of the qualityInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link QualityInfo }
     *     
     */
    public void setQualityInfo(QualityInfo value) {
        this.qualityInfo = value;
    }

    /**
     * Gets the value of the stats property.
     * 
     * @return
     *     possible object is
     *     {@link Stats }
     *     
     */
    public Stats getStats() {
        return stats;
    }

    /**
     * Sets the value of the stats property.
     * 
     * @param value
     *     allowed object is
     *     {@link Stats }
     *     
     */
    public void setStats(Stats value) {
        this.stats = value;
    }

}
