
package com.google.api.ads.adwords.jaxws.v201109.o;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SiteConstants.AdType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="SiteConstants.AdType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="UNKNOWN"/>
 *     &lt;enumeration value="TEXT"/>
 *     &lt;enumeration value="DISPLAY"/>
 *     &lt;enumeration value="INSTREAM"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "SiteConstants.AdType")
@XmlEnum
public enum SiteConstantsAdType {


    /**
     * 
     *                 Unknown ad type.  This usually indicates that the actual ad type
     *                 has not yet been published.
     *               
     * 
     */
    UNKNOWN,

    /**
     * 
     *                 Simple text ads.
     *               
     * 
     */
    TEXT,

    /**
     * 
     *                 All "rich" ad types, for example image and video ads.
     *               
     * 
     */
    DISPLAY,

    /**
     * 
     *                 Instream video ads.
     *               
     * 
     */
    INSTREAM;

    public String value() {
        return name();
    }

    public static SiteConstantsAdType fromValue(String v) {
        return valueOf(v);
    }

}
