
package com.google.api.ads.adwords.jaxws.v201109_1.info;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ApiUsageType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ApiUsageType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="FREE_USAGE_API_UNITS_PER_MONTH"/>
 *     &lt;enumeration value="TOTAL_USAGE_API_UNITS_PER_MONTH"/>
 *     &lt;enumeration value="OPERATION_COUNT"/>
 *     &lt;enumeration value="UNIT_COUNT"/>
 *     &lt;enumeration value="UNIT_COUNT_FOR_CLIENTS"/>
 *     &lt;enumeration value="METHOD_COST"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "ApiUsageType")
@XmlEnum
public enum ApiUsageType {


    /**
     * 
     *                 Free API units per month
     *               
     * 
     */
    FREE_USAGE_API_UNITS_PER_MONTH,

    /**
     * 
     *                 Total API units per month, Free + Paid
     *               
     * 
     */
    TOTAL_USAGE_API_UNITS_PER_MONTH,

    /**
     * 
     *                 Number of operations
     *               
     * 
     */
    OPERATION_COUNT,

    /**
     * 
     *                 Number of API units
     *               
     * 
     */
    UNIT_COUNT,

    /**
     * 
     *                 Number of API units for specific clients
     *               
     * 
     */
    UNIT_COUNT_FOR_CLIENTS,

    /**
     * 
     *                 Cost of method in API units
     *               
     * 
     */
    METHOD_COST;

    public String value() {
        return name();
    }

    public static ApiUsageType fromValue(String v) {
        return valueOf(v);
    }

}
