
package com.google.api.ads.adwords.jaxws.v201109_1.mcm;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for LinkType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="LinkType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="ESTABLISHED"/>
 *     &lt;enumeration value="INVITATION"/>
 *     &lt;enumeration value="UNKNOWN"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "LinkType")
@XmlEnum
public enum LinkType {


    /**
     * 
     *                 The manager has been granted permission to control the managed account.
     *               
     * 
     */
    ESTABLISHED,

    /**
     * 
     *                 Represents an invitation to link that one of the accounts hasn't yet accepted.
     *               
     * 
     */
    INVITATION,
    UNKNOWN;

    public String value() {
        return name();
    }

    public static LinkType fromValue(String v) {
        return valueOf(v);
    }

}
