
package com.google.api.ads.adwords.jaxws.v201206.ch;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Holds information about changes to a customer
 *           
 * 
 * <p>Java class for CustomerChangeData complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CustomerChangeData">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="changedCampaigns" type="{https://adwords.google.com/api/adwords/ch/v201206}CampaignChangeData" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="lastChangeTimestamp" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CustomerChangeData", propOrder = {
    "changedCampaigns",
    "lastChangeTimestamp"
})
public class CustomerChangeData {

    protected List<CampaignChangeData> changedCampaigns;
    protected String lastChangeTimestamp;

    /**
     * Gets the value of the changedCampaigns property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the changedCampaigns property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getChangedCampaigns().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CampaignChangeData }
     * 
     * 
     */
    public List<CampaignChangeData> getChangedCampaigns() {
        if (changedCampaigns == null) {
            changedCampaigns = new ArrayList<CampaignChangeData>();
        }
        return this.changedCampaigns;
    }

    /**
     * Gets the value of the lastChangeTimestamp property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLastChangeTimestamp() {
        return lastChangeTimestamp;
    }

    /**
     * Sets the value of the lastChangeTimestamp property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLastChangeTimestamp(String value) {
        this.lastChangeTimestamp = value;
    }

}
